curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"account_type":"vpa",
"contact_id":"cont_00000000000001",
"vpa":{
"address":"gaurav.kumar@exampleupi"
}
}'
{
"id": "fa_00000000000002",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "vpa",
"vpa": {
"username": "gaurav.kumar",
"handle": "exampleupi",
"address": "gaurav.kumar@exampleupi"
},
"active": true,
"batch_id": null,
"created_at": 1545223741
}
Account Validation
Create a Fund Account of Type VPA
Create a Fund Account of the type VPA via API.
POST
/
v1
/
fund_accounts
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"account_type":"vpa",
"contact_id":"cont_00000000000001",
"vpa":{
"address":"gaurav.kumar@exampleupi"
}
}'
{
"id": "fa_00000000000002",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "vpa",
"vpa": {
"username": "gaurav.kumar",
"handle": "exampleupi",
"address": "gaurav.kumar@exampleupi"
},
"active": true,
"batch_id": null,
"created_at": 1545223741
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to create a fund account with VPA details.
- A new fund account is created if any combination of the following details is unique:
contact_idandvpa.address. - If all the above details match the details of an existing fund account, the API returns details of the existing fund account.
- You cannot edit the details of a fund account.
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"account_type":"vpa",
"contact_id":"cont_00000000000001",
"vpa":{
"address":"gaurav.kumar@exampleupi"
}
}'
{
"id": "fa_00000000000002",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "vpa",
"vpa": {
"username": "gaurav.kumar",
"handle": "exampleupi",
"address": "gaurav.kumar@exampleupi"
},
"active": true,
"batch_id": null,
"created_at": 1545223741
}
Request Parameters
Between 3 and 100 characters. Supported characters:
a-z, A-Z, 0-9, ., - and one @. The virtual payment address. For example, gauravkumar@exampleupi.Response Parameters
The virtual payment address of the contact whose account is validated. For example,
gaurav.kumar@exampleupiLast modified on October 8, 2026
Was this page helpful?